=== requirements.txt ===
matplotlib>=1.3.1
numpy>=1.7.2
scipy>=0.9.0
six>=1.7.3
networkx>=1.8
pillow>=2.1.0
dask[array]>=0.5.0
