=== tools/appveyor/requirements.txt ===
# Fetch numpy and scipy wheels from the sklearn rackspace wheelhouse.
# Those wheels were generated by @ogrisel by calling `wheel convert` on
# the binaries from http://www.lfd.uci.edu/~gohlke/pythonlibs/
# This is a temporary solution. As soon as numpy, scipy and cython provide
# official wheels for windows we can delete this --find-links line.
--find-links http://28daf2247a33ed269873-7b1aad3fab3cc330e1fd9d109892382a.r6.cf2.rackcdn.com/appveyor_pip_index.html

# fix the versions of binary packages to force the use of the whl
# of the rackspace folder instead of trying to install from PyPI
# wheels are preferred for a given version
numpy==1.8.1
scipy==0.14.0
cython>=0.21
matplotlib==1.4.2
pillow==2.6.1
wheel
nose
