=== debian/changelog ===
skimage (0.12.3-9) unstable; urgency=medium

  * Team upload.
  * Fix build with nocheck.
  * Mark python3-skimage-lib as Multi-Arch:same.
  * Mark python-skimage-doc as Multi-Arch:foreign.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 28 Apr 2017 11:24:32 +0200

skimage (0.12.3-8) unstable; urgency=medium

  * Re-enable tests since numpy bug #849196 is fixed now

 -- Ole Streicher <olebole@debian.org>  Sat, 07 Jan 2017 14:51:42 +0100

skimage (0.12.3-7) unstable; urgency=medium

  * Team upload.
  * Remove piwik privacy breach

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Dec 2016 13:46:17 +0100

skimage (0.12.3-6) unstable; urgency=medium

  * Team upload.
  * Fix typo in d/rules

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Dec 2016 12:07:22 +0100

skimage (0.12.3-5) unstable; urgency=medium

  * Team upload.
  * Temporarily disable build time tests completely to fix FTBFS.
    Currently, the only fix is related to a bug in the tests infrastructure,
    either of numpy or of skimage. Until this is fixed, the tests are
    disabled completely to ensure the migration of an otherwise working
    package to testing. CI tests are still enabled.

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Dec 2016 08:42:50 +0100

skimage (0.12.3-4) unstable; urgency=medium

  * Team upload.
  * Hide another failed test (on i386)

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Dec 2016 17:45:36 +0100

skimage (0.12.3-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Moved to Debian Science team maintenance
  * Drop debian/gbp.conf declaring branches and tag names different from
    Debian Science policy
  * Add patch to ignore those tests that are failing on some architectures
    This addresses bug #840589 and I would consider it apropriate to reduce
    the severity of the bug until further investigation of the issues at
    these architectures

  [ Ole Streicher ]
  * Remove dependency from python-dask. Closes: #848112
  * Explicitely use integer as number of bins to fix FTBFS with numpy
    1.12~
  * Hide a (possible) numpy test bug
  * Add bootstrap.js to d/missing-sources as source of bootstrap.min.js

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Dec 2016 12:07:13 +0100

skimage (0.12.3-2) unstable; urgency=medium

  * debian/patches
    - changeset_6807f4ee8f5501703e447f95701190c836deaae1.diff to initialize
      value of firstbg to avoid segfaults (Closes: #840589)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Dec 2016 12:41:31 -0500

skimage (0.12.3-1) unstable; urgency=medium

  [ Stefan van der Walt ]
  * Fresh upstream release
    - Removes lena images (Closes: #794859)
    - Removes freeimage plugin (Closes: #783818)
    - Fixes Sphinx 1.3 incompatibility (Closes: #788965)
  * debian/watch now uses scikit-image-*.*.tar.gz as filename
  * Patch: turn dask into an optional dependency
  * debian/control
    - boosted policy to 3.9.8
  * debian/copyright
    - Update license for tifffile
    - Add imagej license for threshold_li
    - Add license for canny edge detector

  [ Gianfranco Costamagna ]
  * VCS fields in https mode.
  * Drop useless XS testsuite in control file.
  * Fix copyright file
  * Update Stefan mail address

  [ Yaroslav Halchenko ]
  * Fresh upstream release (previous version, never uploaded)
    - includes slicing-error.patch freeimage-fix.patch
  * Updated debian/watch to avoid deprecated redirector
  * debian/{,tests/}control
    - added python{,3}-networkx to {build-,}depends and Recommends
  * debian/tests/python*
    - for now exclude testing of test_tools.py due to #779847 in mpl

 -- Stefan van der Walt <stefanv@berkeley.edu>  Mon, 23 May 2016 11:11:52 +0200
