=== debian/changelog ===
skimage (0.13.0-0ubuntu4) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:23:54 +0000

skimage (0.13.0-0ubuntu3) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:40:54 +0000

skimage (0.13.0-0ubuntu2) artful; urgency=medium

  * Add d/patches/fix-docs-build.patch to fix ftbfs caused by new version of
    numpydoc.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 17 Jul 2017 12:54:37 +1200

skimage (0.13.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/patches/:
    - changeset_6807f4ee8f5501703e447f95701190c836deaae1.diff,
      dask-optional-dep.patch, fix_shape_type.patch, search-html.patch: dropped,
      applied upstream.
    - fix-doc-links.patch: updated
    - skip_tests_failing_on_some_architectures.patch: split into more targetted
      skip-failing-test-on-i386.patch & skip-failing-test-on-big-endian.patch.
  * d/rules: CONTRIBUTING.txt has moved.
  * d/control: add dependencies on python{3,}-pywt. python{3,}-numpydoc.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 14 Jul 2017 12:34:25 +1200

skimage (0.12.3-9build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Jun 2017 16:32:15 -0700
