=== requirements.txt ===
matplotlib>=1.3.1
numpy>=1.11
scipy>=0.17.0
six>=1.7.3
networkx>=1.8
pillow>=2.1.0
PyWavelets>=0.4.0
