=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 PYTHON        ?= python
-SPHINXOPTS    ?=
+SPHINXOPTS    ?= -j 1
 SPHINXBUILD   ?= python $(shell which sphinx-build)
 SPHINXCACHE   ?= build/doctrees
 PAPER         ?=
@@ -12,7 +12,8 @@
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(SPHINXCACHE) $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
-DEST = build
+DEST            = build
+
 .PHONY: all help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest gitwash gh-pages release_notes
 
 all: html
@@ -32,10 +33,13 @@
 	@echo "  linkcheck to check all external links for integrity"
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
 	@echo "  gitwash   to update the gitwash documentation"
+
 clean:
-	-rm -rf $(DEST)/*
+	-rm -rf $(DEST)
+	-rm -rf api
 	-rm -rf source/api
 	-find ./source/auto_examples/* -type f | grep -v blank | xargs rm -f
+
 api:
 	@mkdir -p source/api
 	$(PYTHON) tools/build_modref_templates.py
@@ -43,7 +47,7 @@
 
 release_notes:
 	@echo "Copying release notes"
-	@tail -n +4 `ls release/*.txt | sort -k 2 -t . -n | tail -n 1` > release/_release_notes_for_docs.txt
+	@tail -n +4 `ls release/*.rst | sort -k 2 -t . -n | tail -n 1` > release/_release_notes_for_docs.rst
 
 html: api release_notes
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DEST)/html
@@ -126,7 +130,7 @@
 gitwash:
 	$(PYTHON) tools/gitwash/gitwash_dumper.py source scikit-image \
 	--project-url=http://scikit-image.org \
-	--project-ml-url=http://groups.google.com/group/scikit-image \
+	--project-ml-url=https://mail.python.org/mailman/listinfo/scikit-image \
 	--repo-name=scikit-image \
 	--github-user=scikit-image \
-	--source-suffix=.txt
+	--source-suffix=.rst
