=== debian/changelog ===
skimage (0.13.1-2) unstable; urgency=medium

  * Moved my changes for 0.13.1 into debian-science repo (Closes: #878848)
    - previous changelog was adjusted to reflect also changes introduced by
      the team

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 Oct 2017 07:55:38 -0400

skimage (0.13.1-1) unstable; urgency=medium

  * Team upload

  [ Michael Hudson-Doyle ]
  * New upstream release
    Closes: #868582
  * d/patches/:
    - changeset_6807f4ee8f5501703e447f95701190c836deaae1.diff,
      dask-optional-dep.patch, fix_shape_type.patch, search-html.patch: dropped,
      applied upstream.
    - fix-doc-links.patch: updated
    - skip_tests_failing_on_some_architectures.patch: split into more targetted
      skip-failing-test-on-i386.patch & skip-failing-test-on-big-endian.patch.
    Closes: #871095
  * d/rules: CONTRIBUTING.txt has moved.
  * d/control: add dependencies on python{3,}-pywt. python{3,}-numpydoc.

  [ Andreas Tille ]
  * debhelper 10
  * drop alternative python-imaging
    Closes: #866480
  * Standards-Version: 4.0.1 (no changes needed)

  [ Yaroslav Halchenko ]
  * Note that it is a redone changelog entry due to confusion among
    multiple packaging VCS.
  * Progressed to 0.13.1 upstream release
  * debian/patches
    - deb_no_sphinx_galery: to disable absent sphinx galery for now
  * Do not exclude test_tools.py in tests, but exclude test_update_on_save
    having issues with PIL 4.2.1
    (see https://github.com/scikit-image/scikit-image/issues/2843)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 10 Oct 2017 18:26:16 -0400
