=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: skimage
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Stefan van der Walt <stefanv@berkeley.edu>,
            Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: cython (>= 0.23),
                cython3 (>= 0.23),
-               debhelper (>= 9~),
+               debhelper (>= 10),
                libjs-twitter-bootstrap,
                python-all-dev (>= 2.6.6-3~),
                python-matplotlib (>= 1.3.1),
@@ -15,7 +14,7 @@
                python-nose,
                python-numpy (>= 1.7.2),
                python-numpydoc,
-               python-pil (>= 1.7.8) | python-imaging,
+               python-pil (>= 1.7.8),
                python-pywt,
                python-scipy (>= 0.10),
                python-setuptools,
@@ -27,14 +26,14 @@
                python3-nose,
                python3-numpy (>= 1.7.2),
                python3-numpydoc,
-               python3-pil (>= 1.7.8) | python3-imaging,
+               python3-pil (>= 1.7.8),
                python3-pywt,
                python3-scipy,
                python3-setuptools,
                python3-six (>= 1.3.0),
                xauth,
                xvfb
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://scikit-image.org
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/skimage.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/skimage.git
@@ -46,7 +45,7 @@
 Depends: python-matplotlib (>= 1.3.1),
          python-networkx (>= 1.8),
          python-numpy,
-         python-pil (>= 1.7.8) | python-imaging,
+         python-pil (>= 1.7.8),
          python-scipy (>= 0.10),
          python-six (>= 1.4),
          python-skimage-lib (>= ${source:Version}),
@@ -66,7 +65,7 @@
 Depends: python3-matplotlib (>= 1.3.1),
          python3-networkx (>= 1.8),
          python3-numpy (>= 1.7.2),
-         python3-pil (>= 1.7.8) | python3-imaging,
+         python3-pil (>= 1.7.8),
          python3-scipy (>= 0.10),
          python3-six (>= 1.4),
          python3-skimage-lib (>= ${source:Version}),
