## skimage 0.14.0

=== debian/changelog ===
skimage (0.14.0-0ubuntu4) cosmic; urgency=medium

  * Cherrypick upstream test-suite assertion fixes for 32bit / soft-fp
    arches, fixes ftbfs on armhf and i386.
  * Further ignore interger overflow warning in one test.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Oct 2018 11:27:56 +0100

skimage (0.14.0-0ubuntu3) cosmic; urgency=medium

  * No change rebuild to add support for Python 3.7.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 10 Aug 2018 14:58:39 +1200

skimage (0.14.0-0ubuntu2) cosmic; urgency=medium

  * Patch upstream requirements so that dask won't become a Depends.
    (because python-dask is not available)
  * Add pytest to autopkgtest dependencies.
  * Allow outputs to stderr during autopkgtest.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 27 Jun 2018 07:36:55 +0000

skimage (0.14.0-0ubuntu1) cosmic; urgency=medium

  * No-change backport to cosmic

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Jun 2018 08:06:56 +0000

skimage (0.14.0-1) UNRELEASED; urgency=medium

  * New upstream version 0.14.0

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 25 Jun 2018 10:50:12 +0000

skimage (0.13.1-3) unstable; urgency=medium

  * Team upload.
  * Remove deprecated box-forced matplotlib parameter (by patch from upstream
      https://github.com/scikit-image/scikit-image/pull/2977)
    Closes: #895769
  * python-skimage-doc Depends: libjs-twitter-bootstrap
    Closese: #861498
  * cme fix dpkg-control
     - Standards-Version: 4.1.4
     - Point Vcs-fields to Salsa
     - Drop unneeded version restrictions
     - reformatting
  * Build-Depends: s/python-sphinx/python3-sphinx/
  * hardening=+all
  * Enhanced description for python-skimage-doc
  * Removed unneeded paragraphs from d/copyright
  * Add missing DEP3 descriptions

 -- Andreas Tille <tille@debian.org>  Tue, 24 Apr 2018 09:16:32 +0200
