=== debian/control ===
Source: skimage
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Stefan van der Walt <stefanv@berkeley.edu>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends: cython (>= 0.23),
               cython3 (>= 0.23),
               debhelper (>= 10),
               libjs-twitter-bootstrap,
               python-all-dev,
               python-matplotlib (>= 1.3.1),
               python-networkx (>= 1.8),
               python-nose,
               python-numpy,
               python-numpydoc,
               python-pil,
               python-pytest,
               python-pywt,
               python-scipy,
               python-setuptools,
               python-six (>= 1.4),
               python3-sphinx (>= 1.3.0),
               python3-all-dev,
               python3-dask,
               python3-matplotlib,
               python3-networkx,
               python3-nose,
               python3-numpy,
               python3-numpydoc,
               python3-pil,
               python3-pytest,
               python3-pywt,
               python3-scipy,
               python3-setuptools,
               python3-six (>= 1.3.0),
               xauth,
               xvfb
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/skimage
Vcs-Git: https://salsa.debian.org/science-team/skimage.git
Homepage: http://scikit-image.org
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-skimage
Architecture: all
Depends: python-matplotlib (>= 1.3.1),
         python-networkx (>= 1.8),
         python-numpy,
         python-pil,
         python-scipy,
         python-six (>= 1.4),
         python-skimage-lib (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: python-nose,
            python-qt4
Suggests: python-opencv,
          python-skimage-doc
Description: Python modules for image processing
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package provides the Python 2 module.

Package: python3-skimage
Architecture: all
Depends: python3-matplotlib,
         python3-networkx,
         python3-numpy,
         python3-pil,
         python3-scipy,
         python3-six (>= 1.4),
         python3-skimage-lib (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-nose
Suggests: python-skimage-doc
Description: Python 3 modules for image processing
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package provides the Python 3 module.

Package: python-skimage-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python-skimage
Description: Documentation and examples for scikit-image
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package contains documentation and example scripts for
 python-skimage.

Package: python-skimage-lib
Architecture: any
Depends: python-numpy,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-skimage
Provides: ${python:Provides}
Description: Optimized low-level algorithms for scikit-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
 .
 This package provides the Python 2 libraries.

Package: python3-skimage-lib
Architecture: any
Multi-Arch: same
Depends: python3-numpy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-skimage
Description: Optimized low-level algorithms for Python 3 scikit-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
 .
 This package provides the Python 3 libraries.
