=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,8 @@
 
 export http_proxy = http://127.0.9.1:9
 export https_proxy = http://127.0.9.1:9
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # Mega rule
 %:
@@ -44,7 +46,7 @@
 ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
 	: # not building documentation in -a
 else
-	export PYTHONPATH=$(PKG_TMP)/usr/lib/python$(PYVER)/dist-packages; \
+	export PYTHONPATH=$(PKG_TMP)/usr/lib/python3/dist-packages; \
 	 cd doc; test -d build/html || $(MAKE) html
 endif
 endif
@@ -81,11 +83,14 @@
 	: # no documentation in -a -- surprised that sphinxdoc doesn't know that
 else
 	dh_sphinxdoc -ppython-skimage-doc
+	find debian -type f -exec sed -i -e \
+		's@https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js@file:///usr/share/javascript/mathjax/MathJax.js@g' \
+		'{}' +
 endif
 endif
 
 override_dh_installdocs:
-	dh_installdocs -A CONTRIBUTORS.txt README.md .github/CONTRIBUTING.txt TASKS.txt
+	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.txt TODO.txt
 	dh_link -ppython-skimage-doc /usr/share/twitter-bootstrap/files/js/bootstrap.min.js \
 	    usr/share/doc/python-skimage-doc/html/_static/js/bootstrap.min.js
 	dh_link -ppython-skimage-doc /usr/share/twitter-bootstrap/files/css/bootstrap.min.css \
