## skimage 0.14.1

=== debian/changelog ===
skimage (0.14.1-2) unstable; urgency=medium

  * Team upload
  * Overhaul rules and fix FTBFS on Architecture=all.
  * Fix parallel build by adding debian/process_pyx.py and
    debian/patches/fix-wrong-condition-on-prebuilt-c-files.patch
  * Move build dependencies for doc package to Build-Depends-Indep.
  * Switch matplotlib backend to Agg (export MPLBACKEND := Agg) and
    drop build dependency on xauth and xvfb.

 -- Yangfl <mmyangfl@gmail.com>  Fri, 19 Oct 2018 08:25:27 +0000

skimage (0.14.1-1) unstable; urgency=medium

  * Team upload

  [ Mo Zhou ]
  * Fixup testsuite (Closes: #902480).
  * Add new deps to debian/tests/control
  * Allow stderr during autopkgtest, some libraries are
    throwing warnings as errors during autopkgtests.
  * Remove deprecated X-Python*-Version fields.
  * Run dh_auto_tests with xvfb-run.

  [ Yangfl <mmyangfl@gmail.com> ]
  * New upstream release (Closes: #906207)
  * d/compat
    - bump debhelper compat to 11
  * d/control
    - remove build dep libjs-twitter-bootstrap (Closes: #908433)
    + build dep python-tk and python3-tk
    + build dep python3-sphinx-gallery and python3-sklearn, required by doc
      building
    + build dep python3-doc and python-matplotlib-doc for intersphinx mappings
    + dep libjs-{bootstrap,jquery,mathjax} for python-skimage-doc
    * bump standard to 4.2.1
  * d/copyright
    - no need to remove bootstrap.min.js, provided in missing-sources
  * d/rules
    - switch from python_distutils to pybuild
    - hotfix broken sphinx build command by passing SPHINXBUILD manually
      (Closes: #902478)
    - replace MathJax.js with local file (Closes: #902479)
  * d/patches
    - remove 0001-BF-perform-computation-serially-with-a-warning-if-da.patch
      and skip-failing-test-on-i386.patch since included in new release
    - add allow-warnings-on-dask.patch to bypass false alert on dask missing
    - remove deb_no_sphinx_galery since python3-sphinx-gallery available
    - add no-download-intersphinx-mapping.patch

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 17 Oct 2018 11:33:00 +0000

skimage (0.14.0-1) unstable; urgency=medium

  * Fresh upstream release
    - should resolve FTBFS due to incompatibility with NumPy 1.14
      (Closes: #901377)
  * d/patches
    - refreshed patches skipping on some archs.  Use testing.skipif instead
      of explicit import of skipif into the namespace
    - removed remove_deprecated_box-forced.patch - was CPed from upstream
    - added 0001-BF-perform-computation-serially-with-a-warning-if-da.patch
      to make skimage not crash whenever dask is not available
    - added deb_no_dask_in_setup to not demand dask at setup.py leve since
      not available for python2 in Debian
  * d/tests,control
    - upstream uses pytest instead of nose now
  * d/control
    - recommend and b-depend on python3-dask
  * d/rules
    - use python3 to build docs since some helper scripts are python3 only
    - cleanup __pycache__ which might appear after running tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Jun 2018 12:26:51 -0400
