=== debian/control ===
--- 
+++ 
@@ -1,48 +1,46 @@
 Source: skimage
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Stefan van der Walt <stefanv@berkeley.edu>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
 Priority: optional
-Build-Depends: cython (>= 0.23),
-               cython3 (>= 0.23),
-               debhelper (>= 10),
-               libjs-twitter-bootstrap,
+Build-Depends: cython3 (>= 0.23),
+               debhelper (>= 11~),
+               dh-python,
                python-all-dev,
                python-matplotlib (>= 1.3.1),
                python-networkx (>= 1.8),
-               python-nose,
+               python-pytest,
                python-numpy,
                python-numpydoc,
                python-pil,
-               python-pytest,
                python-pywt,
                python-scipy,
                python-setuptools,
                python-six (>= 1.4),
-               python3-sphinx (>= 1.3.0),
+               python-tk,
                python3-all-dev,
                python3-dask,
                python3-matplotlib,
                python3-networkx,
-               python3-nose,
+               python3-pytest,
                python3-numpy,
                python3-numpydoc,
                python3-pil,
-               python3-pytest,
                python3-pywt,
                python3-scipy,
                python3-setuptools,
                python3-six (>= 1.3.0),
-               xauth,
-               xvfb
-Standards-Version: 4.1.4
+               python3-tk,
+Build-Depends-Indep: python3-sphinx (>= 1.3.0),
+                     python3-sphinx-gallery,
+                     python3-doc,
+                     python-matplotlib-doc,
+                     python3-sklearn,
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
 Vcs-Git: https://salsa.debian.org/science-team/skimage.git
 Homepage: http://scikit-image.org
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: python-skimage
 Architecture: all
@@ -55,10 +53,11 @@
          python-skimage-lib (>= ${source:Version}),
          ${misc:Depends},
          ${python:Depends}
-Recommends: python-nose,
+Recommends: python-pytest,
             python-qt4
 Suggests: python-opencv,
           python-skimage-doc
+Provides: ${python:Provides}
 Description: Python modules for image processing
  scikit-image is a collection of image processing algorithms for
  Python.  It performs tasks such as image loading, filtering,
@@ -77,8 +76,10 @@
          python3-skimage-lib (>= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-nose
+Recommends: python3-pytest,
+         python3-dask,
 Suggests: python-skimage-doc
+Provides: ${python3:Provides}
 Description: Python 3 modules for image processing
  scikit-image is a collection of image processing algorithms for
  Python.  It performs tasks such as image loading, filtering,
@@ -91,8 +92,11 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
-Suggests: python-skimage
+         ${sphinxdoc:Depends},
+         libjs-bootstrap,
+         libjs-jquery,
+         libjs-mathjax,
+Built-Using: ${sphinxdoc:Built-Using},
 Description: Documentation and examples for scikit-image
  scikit-image is a collection of image processing algorithms for
  Python.  It performs tasks such as image loading, filtering,
@@ -123,6 +127,7 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: python3-skimage
+Provides: ${python3:Provides}
 Description: Optimized low-level algorithms for Python 3 scikit-image
  This is an add-on package for python-skimage. It provides
  optimized, low-level implementations of algorithms.
